// eslint-disable-next-line
// import { UserLayout, BasicLayout, BlankLayout } from '@/layouts'

const RouteView = {
  name: 'RouteView',
  render: h => h('router-view')
}
/**
 * 基础路由
 * @type { *[] }
 */
export const constantRouterMap = [{
    path: '/login',
    name: 'login',
    component: () => import( /* webpackChunkName: "user" */ '@/views/user/Login'),
  },
  {
    path: '/404',
    name: '404',
    component: () => import( /* webpackChunkName: "fail" */ '@/views/404')
  }
]
