//引入mock.js
import Mock from 'mockjs'

//查询所有
Mock.mock('/api/info', 'get', {
  "status": 200,
  "arr": [{
      name: 'system',
      parentId: 0,
      id: 1,
      meta: {
        title: '系统管理',
        icon: 'el-icon-s-tools',
        show: true
      },
      component: 'Base',
      redirect: '/system/transport'
    },
    {
      name: 'transport',
      parentId: 1,
      id: 7,
      meta: {
        title: '运输企业管理',
        show: true
      },
      component: 'transport'
    },
    {
      name: 'salesStore',
      parentId: 1,
      id: 3,
      meta: {
        title: '销售门店管理',
        show: true
      },
      component: 'salesStore'
    },
    {
      name: 'employee',
      parentId: 1,
      id: 4,
      meta: {
        title: '员工管理',
        show: true
      },
      component: 'employee'
    },
    {
      name: 'jurisdiction',
      parentId: 1,
      id: 5,
      meta: {
        title: '权限管理',
        show: true
      },
      component: 'jurisdiction'
    },
    {
      name: 'menuManagement',
      parentId: 1,
      id: 8,
      meta: {
        title: '菜单管理',
        show: true
      },
      component: 'menuManagement'
    }, {
      name: 'manufacture',
      parentId: 0,
      id: 2,
      meta: {
        title: '生产中心',
        icon: 'el-icon-message-solid',
        show: true
      },
      component: 'Base',
      redirect: '/manufacture/cylinderFile'
    },
    {
      name: 'cylinderFile',
      parentId: 2,
      id: 16,
      meta: {
        title: '钢瓶档案',
        show: true
      },
      component: 'cylinderFile'
    },
    {
      name: 'cylinderSpecification',
      parentId: 2,
      id: 25,
      meta: {
        title: '钢瓶规格',
        show: true
      },
      component: 'cylinderSpecification'
    },
    {
      name: 'warehouse',
      parentId: 2,
      id: 26,
      meta: {
        title: '仓库管理',
        show: true
      },
      component: 'warehouse'
    },
    {
      name: 'tankFilling',
      parentId: 2,
      id: 27,
      meta: {
        title: '充装管理',
        show: true
      },
      component: 'tankFilling'
    },
    {
      name: 'vehicle',
      parentId: 2,
      id: 31,
      meta: {
        title: '车辆管理',
        show: true
      },
      component: 'vehicle'
    },
    {
      name: 'loadingGun',
      parentId: 2,
      id: 32,
      meta: {
        title: '充装枪管理',
        show: true
      },
      component: 'loadingGun'
    },
    {
      name: 'aerationInspection',
      parentId: 2,
      id: 33,
      meta: {
        title: '充气前后检查',
        show: true
      },
      component: 'aerationInspection'
    },
    {
      name: 'wanderAbout',
      parentId: 2,
      id: 35,
      meta: {
        title: '气瓶流转步骤',
        show: true
      },
      component: 'wanderAbout'
    }, {
      name: 'customer',
      parentId: 0,
      id: 3,
      meta: {
        title: '客户中心',
        icon: 'el-icon-phone',
        show: true
      },
      component: 'Base',
      redirect: '/customer/agentOrdering'
    },
    {
      name: 'agentOrdering',
      parentId: 3,
      id: 12,
      meta: {
        title: '坐席下单',
        show: true
      },
      component: 'agentOrdering'
    },
    {
      name: 'orderProcessing',
      parentId: 3,
      id: 13,
      meta: {
        title: '派单处理',
        show: true
      },
      component: 'orderProcessing'
    },
    {
      name: 'customerFiling',
      parentId: 3,
      id: 14,
      meta: {
        title: '客户档案',
        show: true
      },
      component: 'customerFiling'
    },
    {
      name: 'entrySecurity',
      parentId: 3,
      id: 21,
      meta: {
        title: '入户安全',
        show: true
      },
      component: 'entrySecurity'
    },
    {
      name: 'complaints',
      parentId: 3,
      id: 15,
      meta: {
        title: '投诉建议',
        show: true
      },
      component: 'complaints'
    },
    {
      name: 'marketing',
      parentId: 0,
      id: 6,
      meta: {
        title: '销售管理',
        icon: 'el-icon-s-marketing',
        show: true
      },
      component: 'Base',
      redirect: '/marketing/orderManagement'
    },
    {
      name: 'orderManagement',
      parentId: 6,
      id: 17,
      meta: {
        title: '订单管理',
        show: true
      },
      component: 'orderManagement'
    },
    {
      name: 'commodity',
      parentId: 6,
      id: 22,
      meta: {
        title: '商品管理',
        show: true
      },
      component: 'commodity'
    },
    {
      name: 'salesScheme',
      parentId: 6,
      id: 23,
      meta: {
        title: '销售方案',
        show: true
      },
      component: 'salesScheme'
    },
    {
      name: 'allocation',
      parentId: 6,
      id: 24,
      meta: {
        title: '派费管理',
        show: true
      },
      component: 'allocation'
    },
  ]
})
