export const employee = () => {
  return [{
    field: 'index',
    label: '编号',
    align: 'center',
  },{
    field: 'inspectExplain',
    label: '安全检查项',
    align: 'left',
  }, {
    field: 'inspectItem',
    label: '检查项标识',
    align: 'center',
  }, {
    field: 'action',
    label: '操作',
    colWidth: '200px',
    align: 'center',
    labelButton: [{
      type: 'edit',
      label: '编辑',
      icon: 'el-icon-edit',
      style: 'primary',
    }, {
      type: 'del',
      label: '删除',
      icon: 'el-icon-tickets',
      style: 'danger',
    }]
  }]
}

export const formRules = () => {
  return [{
    field: 'inspectExplain',
    label: '检查项',
    placeholder: '检查项',
    type: 'input',
    colWidth: 24,
    rules: [{
      required: true,
      message: '请输入检查项',
      trigger: 'blur'
    }]
  }]
}
