export const employee = () => {
  return [{
    field: 'index',
    label: '序号',
    align: 'center',
  }, {
    field: 'name',
    operation: true,
    label: '名称',
    align: 'center',
  }, {
    field: 'address',
    label: '地址',
    align: 'center',
  }, {
    field: 'action',
    label: '操作',
    colWidth: '200px',
    align: 'center',
    labelButton: [{
      type: 'edit',
      label: '编辑',
      icon: 'el-icon-edit',
      style: 'primary',
    }, {
      type: 'del',
      label: '删除',
      icon: 'el-icon-tickets',
      style: 'danger',
    }]
  }]
}

export const formRules = () => {
  return [{
    field: 'name',
    label: '名称',
    placeholder: '名称',
    type: 'input',
    colWidth: 24,
    rules: [{
      required: true,
      message: '请输入名称',
      trigger: 'blur'
    }]
  }, {
    field: 'address',
    label: '地址',
    placeholder: '地址',
    type: 'textarea',
    colWidth: 24,
    rules: [{
      required: false,
      message: '请输入地址',
      trigger: 'blur'
    }]
  }, ]
}
