export const employee = () => {
  return [{
    field: 'index',
    label: '序号',
    align: 'center',
  }, {
    field: 'T_state',
    operation: true,
    label: '标题',
    align: 'center',
  }, {
    field: 'T_connect',
    label: '内容',
    align: 'center',
  }, {
    field: 'T_connect',
    label: '提交人',
    align: 'center',
  }, {
    field: 'action',
    label: '操作',
    colWidth: '200px',
    align: 'center',
    labelButton: [{
      type: 'edit',
      label: '编辑',
      icon: 'el-icon-edit',
      style: 'primary',
    }, {
      type: 'del',
      label: '删除',
      icon: 'el-icon-tickets',
      style: 'danger',
    }]
  }]
}

export const formRules = () => {
  return [{
    field: 'T_sn',
    label: '标题',
    placeholder: '标题',
    type: 'input',
    colWidth: 24,
    rules: [{
      required: true,
      message: '请输入标题',
      trigger: 'blur'
    }]
  }, {
    field: 'T_sn',
    label: '内容',
    placeholder: '内容',
    type: 'textarea',
    colWidth: 24,
    rules: [{
      required: true,
      message: '请输入内容',
      trigger: 'blur'
    }]
  }, ]
}
