import {
  process
} from '@/assets/js/blockSort'
export const employee = () => {
  return [{
      field: 'index',
      label: '编号',
      boxhead: true,
      align: 'center',
    }, {
      field: 'batchNumber',
      label: '批号',
      colWidth: '160',
      align: 'center',
    }, {
      field: 'innerCode',
      label: '单位内编号',
      colWidth: '160',
      align: 'center',
    }, {
      field: 'optType',
      label: '步骤',
      colWidth: '160',
      align: 'center',
      options: process(),
    }, {
      field: 'optTime',
      label: '操作时间',
      colWidth: '160',
      align: 'center',
    }, {
      field: 'optUserObj.nickName',
      label: '操作人',
      colWidth: '150',
      align: 'center',
    }, {
      field: 'lng',
      label: '经度',
      colWidth: '150',
      align: 'center',
    }, {
      field: 'lat',
      label: '纬度',
      colWidth: '150',
      align: 'center',
    }, {
      field: 'objectUserObj.nickName',
      label: '交互工作人员',
      colWidth: '150',
      align: 'center',
    }, {
      field: 'objectCustomerObj.name',
      label: '交互客户',
      colWidth: '150',
      align: 'center',
    }, {
      field: 'optCustomerObj.name',
      label: '操作客户',
      colWidth: '150',
      align: 'center',
    }, {
      field: 'companyObj.name',
      label: '企业',
      colWidth: '150',
      align: 'center',
    }, {
      field: 'currentEnterpriseObj.name',
      label: '当前企业',
      align: 'center',
      colWidth: '150',
    }, {
      field: 'currentStationObj.name',
      label: '当前气站',
      align: 'center',
    },
    // {
    //   field: 'T_connect',
    //   label: '当前检验',
    //   colWidth: '150',
    //   align: 'center',
    // },
    {
      field: 'currentStoreObj.name',
      label: '当前门店',
      colWidth: '150',
      align: 'center',
    }, {
      field: 'currentTruckObj.nickName',
      label: '当前司机',
      colWidth: '150',
      align: 'center',
    }, {
      field: 'currentMotor',
      label: '当前车辆',
      colWidth: '150',
      align: 'center',
    }, {
      field: 'currentAddressObj.name',
      label: '当前客户',
      align: 'center',
    },
  ]
}
