export const employee = () => {
  return [{
    field: 'provUser.userId',
    label: '用户编码',
    align: 'center',
    colWidth: '200px',
  }, {
    field: 'username',
    operation: true,
    label: '登录账号',
    align: 'center',
    colWidth: '150px',
  },{
    field: 'provUser.name',
    operation: true,
    label: '姓名',
    align: 'center',
    colWidth: '150px',
  }, {
    field: 'provUser.idCard',
    label: '身份证号',
    align: 'center',
    colWidth: '200px',
  }, {
    field: 'provUser.no',
    label: '工号',
    align: 'center',
    colWidth: '100px',
  }, {
    field: 'provUser.phone',
    label: '联系电话',
    align: 'center',
    colWidth: '150px',
  }, {
    field: 'provUser.userType',
    label: '类型',
    align: 'center',
    colWidth: '150px',
    options: [{
        label: '门店人员',
        value: 3,
      },
      {
        bgcolor: 'warning',
        label: '货车司机',
        value: 4,
      },
      {
        label: '充装站人员',
        value: 5,
      }
    ]
  }, {
    field: 'provUser.hireStatus',
    label: '聘用状态',
    align: 'center',
    colWidth: '100px',
  }, {
    field: 'provUser.hireTime',
    label: '聘用日期',
    align: 'center',
    colWidth: '200px',
  }, {
    field: 'provUser.education',
    label: '教育程度',
    align: 'center',
    colWidth: '100px',
  }, {
    field: 'provUser.jobCategory',
    label: '岗位类型',
    align: 'center',
    colWidth: '150px',
  }, {
    field: 'provUser.personQual',
    label: '资质',
    align: 'center',
    colWidth: '150px',
  }, {
    field: 'provUser.isorders',
    label: '用户类型',
    align: 'center',
    options: [{
        label: '送气员',
        value: 0,
      },
      {
        bgcolor: 'warning',
        label: '库管',
        value: 1,
      }
    ]
  }, {
    field: 'action',
    label: '操作',
    colWidth: '300px',
    align: 'center',
    labelButton: [{
      type: 'edit',
      label: '编辑',
      icon: 'el-icon-edit',
      style: 'primary',
    }, {
      type: 'logs',
      label: '详情',
      icon: 'el-icon-tickets',
      style: 'info',
    }, {
      type: 'reset',
      label: '重置密码',
      icon: 'el-icon-delete',
      style: 'danger',
    }, {
      type: 'del',
      label: '删除',
      icon: 'el-icon-delete',
      style: 'danger',
    }]
  }]
}
